%define upstream_name		perl-GPS
%define upstream_version	0.17

Name:		%{upstream_name}-Garmin
Version: 	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL+ or Artistic
Summary: 	Perl interface to GPS equipment using the Garmin Protocol
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/GPS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Device::SerialPort)
BuildArch:	noarch
Provides:	%{upstream_name} = %{version}-%{release}

%description
GPS::Garmin allow the connection and use of of a GPS receiver in perl
scripts. Currently only the GRMN/GRMN protocol is implemented but NMEA
is a work in progress.

This module currently works with Garmin GPS II+ equipments, but should
work on most Garmin receivers that support the GRMN/GRMN protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/GPS
%{_mandir}/man3/GPS*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-7.mga6
+ Revision: 1027959
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.170.0-6.mga6
+ Revision: 947499
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 742268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 684818
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 511800
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 367566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 31995
- mageia rebuild
- imported package perl-GPS-Garmin


* Thu Nov 04 2010 Jani Välimaa <wally@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 593411
- use perl_convert_version macro
- fix group, license, url, source, summary and description
- tag package as noarch
- add BR
- provide perl-GPS
- install files to a correct location

  + Thomas Spuhler <tspuhler@mandriva.org>
    - corrected Group to Development/Perl

* Sun Oct 31 2010 Thomas Spuhler <tspuhler@mandriva.org> 0.17-1mdv2011.0
+ Revision: 591252
- import perl-GPS-Garmin

